# Integration Request Event

Event emitted to an App when a new integration is requested and needs to be authorized. This event initiates the [Integration Request Flow](/integration-request-flow.md).

### Event Data

{% tabs %}
{% tab title="Sample Data" %}

```
{
    "appCode": "ABCDEF",
    "activationCode": "ABCDEF123456",
    "callbackUrl": ""
}
```

{% endtab %}

{% tab title="Data Schema" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.intserv.se/integration-request-event.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
